Crypto Prices
curl --request GET \
--url https://api.breet.io/v1/trades/pbc/sell/assets/market/converter \
--header 'X-Breet-Env: <api-key>' \
--header 'x-app-id: <api-key>' \
--header 'x-app-secret: <api-key>'import requests
url = "https://api.breet.io/v1/trades/pbc/sell/assets/market/converter"
headers = {
"x-app-id": "<api-key>",
"x-app-secret": "<api-key>",
"X-Breet-Env": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-app-id': '<api-key>',
'x-app-secret': '<api-key>',
'X-Breet-Env': '<api-key>'
}
};
fetch('https://api.breet.io/v1/trades/pbc/sell/assets/market/converter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "data fetched",
"success": true,
"data": {
"id": 52,
"symbol": "XRP",
"name": "XRP",
"amount": 1,
"quote": {
"USD": {
"price": 2.12949858,
"last_updated": "2026-01-15T14:12:54.000Z"
}
},
"last_updated": "2026-01-15T14:12:00.000Z"
},
"meta": {},
"summary": {},
"stats": {}
}{
"success": false,
"message": "validation errors",
"meta": {},
"errors": [
{
"message": "Invalid value",
"field": "amount",
"location": "body"
}
],
"data": {}
}{
"success": false,
"message": "something went wrong!",
"meta": {},
"errors": [],
"data": {}
}Rates and Prices
Crypto Prices
Returns the current global market price for a crypto-to-fiat pair. These are global market prices, not Breet-specific rates. To get Breet’s actual conversion rate for NGN or GHS, use the Rate Calculator endpoint instead.
GET
/
trades
/
pbc
/
sell
/
assets
/
market
/
converter
Crypto Prices
Authorizations
Your application ID from the Breet dashboard
Your application secret from the Breet dashboard
Environment selector: development or production
Query Parameters
Fiat currency to convert to. ['ngn', 'ghs', 'usd', 'cad', 'aud', 'gbp', 'eur']
asset symbol to convert from. Returned by the list sell assets endpoint.
Response
Conversion result returned successfully
Was this page helpful?
⌘I